Bug 520185

Summary: crashes when playing with volume
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: pulseaudioAssignee: Lennart Poettering <lpoetter>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: lkundrak, lpoetter, mclasen, rvokal, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-02 22:30:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 473303    
Attachments:
Description Flags
possible fix none

Description Bill Nottingham 2009-08-28 15:34:19 EDT
Description of problem:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f94b5fad710 (LWP 7980)]
0x00007f94bef92021 in remap_mono_to_stereo_mmx (m=0x1b36130, dst=0x7f94b0020ff0, 
    src=0x7f94ac114ef2, n=312) at pulsecore/remap_mmx.c:115
115	            __asm__ __volatile__ (
(gdb) bt
#0  0x00007f94bef92021 in remap_mono_to_stereo_mmx (m=0x1b36130, dst=0x7f94b0020ff0, 
    src=0x7f94ac114ef2, n=312) at pulsecore/remap_mmx.c:115
#1  0x00007f94bef92afc in remap_channels (input=<value optimized out>, 
    r=<value optimized out>) at pulsecore/resampler.c:1101
#2  pa_resampler_run (input=<value optimized out>, r=<value optimized out>)
    at pulsecore/resampler.c:1193
#3  0x00007f94befa4003 in pa_sink_input_peek (i=0x1b38570, slength=<value optimized out>, 
    chunk=<value optimized out>, volume=<value optimized out>) at pulsecore/sink-input.c:680
#4  0x00007f94befae6d2 in fill_mix_info (s=0x1ac26c0, length=0x7f94b5faccc8, 
    info=0x7f94b5faae70, maxinfo=25) at pulsecore/sink.c:749
#5  0x00007f94befaef33 in pa_sink_render_into (s=0x1ac26c0, target=0x7f94b5facd30)
    at pulsecore/sink.c:990
#6  0x00007f94befaf99f in pa_sink_render_into_full (s=0x1ac26c0, target=0x7f94b5facde0)
    at pulsecore/sink.c:1069
#7  0x00007f94b4353315 in mmap_write (on_timeout=<value optimized out>, 
    polled=<value optimized out>, sleep_usec=<value optimized out>, u=<value optimized out>)
    at modules/alsa/alsa-sink.c:601
#8  thread_func (on_timeout=<value optimized out>, polled=<value optimized out>, 
    sleep_usec=<value optimized out>, u=<value optimized out>)
    at modules/alsa/alsa-sink.c:1359
#9  0x00007f94be902d40 in internal_thread_func (userdata=0x1aae5d0)
    at pulsecore/thread-posix.c:72
#10 0x00007f94bcd1791a in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x00007f94bc3e0a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()
(gdb) 

Version-Release number of selected component (if applicable):

pulseaudio-0.9.16-10.test6.fc12.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Open up pavucontrol
2. Drag volume slider back and forth
3. There is no step 3
  
Actual results:

crash
Comment 1 Wim Taymans 2009-08-31 09:53:11 EDT
Created attachment 359260 [details]
possible fix

the counters were wrong for S16le, this patch fixes this.
Comment 2 Lennart Poettering 2009-09-02 22:30:06 EDT
Fixed now in test7 which is available in rawhide.